Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons.tags
Class MakumbaInfoTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.commons.tags.MakumbaInfoTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class MakumbaInfoTag

extends TagSupport

mak:info tag

Version:
  $Id: MakumbaInfoTag.java 3576 2009-01-06 00:26:34Z manuel_gay $
Author:
See Also:
  Serialized Form

Field Summary
`(package private) String` | `applicationProperties`
`(package private) Properties` | `sysprops`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MakumbaInfoTag()`

Method Summary
`int` | `doStartTag()`
`void` | `printMakumbaPropertyRow(JspWriter out, String key, String value)`
`void` | `printSystemInfoRow(JspWriter out, String key, String value)`
`void` | `setApplicationProperties(String applicationProperties)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### applicationProperties

    String applicationProperties

### sysprops

    Properties sysprops

Constructor Detail

### MakumbaInfoTag

    public MakumbaInfoTag()

Method Detail

### setApplicationProperties

    public void setApplicationProperties(String applicationProperties)

  Parameters:
    `applicationProperties` - The applicationProperties to set.

### doStartTag

    public int doStartTag()
                   throws JspException

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Throws:
    `JspException`

### printMakumbaPropertyRow

    public void printMakumbaPropertyRow(JspWriter out,
                                        String key,
                                        String value)
                                 throws IOException

  Throws:
    `IOException`

### printSystemInfoRow

    public void printSystemInfoRow(JspWriter out,
                                   String key,
                                   String value)
                            throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20